Commit 19187038 authored by Peter Eisentraut's avatar Peter Eisentraut

A little bit of clean-up/bug fix in Tcl build. Handle gracefully cases

where someone wants to build these but hasn't configured for Tcl.
parent 99212a48
...@@ -8903,10 +8903,7 @@ trap 'rm -fr `echo "GNUmakefile ...@@ -8903,10 +8903,7 @@ trap 'rm -fr `echo "GNUmakefile
src/backend/port/Makefile src/backend/port/Makefile
src/backend/catalog/genbki.sh src/backend/catalog/genbki.sh
src/backend/utils/Gen_fmgrtab.sh src/backend/utils/Gen_fmgrtab.sh
src/bin/pgtclsh/mkMakefile.tcldefs.sh
src/bin/pgtclsh/mkMakefile.tkdefs.sh
src/include/version.h src/include/version.h
src/pl/tcl/mkMakefile.tcldefs.sh
src/test/regress/GNUmakefile src/test/regress/GNUmakefile
src/include/config.h" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15 src/include/config.h" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
EOF EOF
...@@ -9077,10 +9074,7 @@ CONFIG_FILES=\${CONFIG_FILES-"GNUmakefile ...@@ -9077,10 +9074,7 @@ CONFIG_FILES=\${CONFIG_FILES-"GNUmakefile
src/backend/port/Makefile src/backend/port/Makefile
src/backend/catalog/genbki.sh src/backend/catalog/genbki.sh
src/backend/utils/Gen_fmgrtab.sh src/backend/utils/Gen_fmgrtab.sh
src/bin/pgtclsh/mkMakefile.tcldefs.sh
src/bin/pgtclsh/mkMakefile.tkdefs.sh
src/include/version.h src/include/version.h
src/pl/tcl/mkMakefile.tcldefs.sh
src/test/regress/GNUmakefile src/test/regress/GNUmakefile
"} "}
EOF EOF
......
...@@ -1199,9 +1199,6 @@ AC_OUTPUT( ...@@ -1199,9 +1199,6 @@ AC_OUTPUT(
src/backend/port/Makefile src/backend/port/Makefile
src/backend/catalog/genbki.sh src/backend/catalog/genbki.sh
src/backend/utils/Gen_fmgrtab.sh src/backend/utils/Gen_fmgrtab.sh
src/bin/pgtclsh/mkMakefile.tcldefs.sh
src/bin/pgtclsh/mkMakefile.tkdefs.sh
src/include/version.h src/include/version.h
src/pl/tcl/mkMakefile.tcldefs.sh
src/test/regress/GNUmakefile src/test/regress/GNUmakefile
) )
...@@ -7,7 +7,7 @@ ...@@ -7,7 +7,7 @@
# #
# #
# IDENTIFICATION # IDENTIFICATION
# $Header: /cvsroot/pgsql/src/Makefile.global.in,v 1.82 2000/06/28 18:29:13 petere Exp $ # $Header: /cvsroot/pgsql/src/Makefile.global.in,v 1.83 2000/07/01 15:02:16 petere Exp $
# #
# NOTES # NOTES
# Essentially all Postgres make files include this file and use the # Essentially all Postgres make files include this file and use the
...@@ -129,6 +129,8 @@ python_moduledir = @python_moduledir@ ...@@ -129,6 +129,8 @@ python_moduledir = @python_moduledir@
USE_TCL= @USE_TCL@ USE_TCL= @USE_TCL@
USE_TK= @USE_TK@ USE_TK= @USE_TK@
WISH= @WISH@ WISH= @WISH@
TCL_CONFIG_SH = @TCL_CONFIG_SH@
TK_CONFIG_SH = @TK_CONFIG_SH@
X_CFLAGS= @X_CFLAGS@ X_CFLAGS= @X_CFLAGS@
X_LIBS= @X_LIBS@ X_LIBS= @X_LIBS@
......
...@@ -4,7 +4,7 @@ ...@@ -4,7 +4,7 @@
# #
# Copyright (c) 1994, Regents of the University of California # Copyright (c) 1994, Regents of the University of California
# #
# $Header: /cvsroot/pgsql/src/bin/Makefile,v 1.26 2000/06/27 00:30:49 petere Exp $ # $Header: /cvsroot/pgsql/src/bin/Makefile,v 1.27 2000/07/01 15:02:19 petere Exp $
# #
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
...@@ -15,8 +15,6 @@ include ../Makefile.global ...@@ -15,8 +15,6 @@ include ../Makefile.global
DIRS := initdb initlocation ipcclean pg_ctl pg_dump pg_id \ DIRS := initdb initlocation ipcclean pg_ctl pg_dump pg_id \
pg_passwd pg_version psql scripts pg_passwd pg_version psql scripts
ALLDIRS := $(DIRS) pg_encoding pgaccess pgtclsh
ifdef MULTIBYTE ifdef MULTIBYTE
DIRS += pg_encoding DIRS += pg_encoding
endif endif
...@@ -32,8 +30,5 @@ endif ...@@ -32,8 +30,5 @@ endif
all install installdirs uninstall depend: all install installdirs uninstall depend:
@for dir in $(DIRS); do $(MAKE) -C $$dir $@ || exit 1; done @for dir in $(DIRS); do $(MAKE) -C $$dir $@ || exit 1; done
clean: clean distclean maintainer-clean:
@for dir in $(DIRS); do $(MAKE) -C $$dir $@; done -@for dir in $(DIRS); do $(MAKE) -C $$dir $@; done
distclean maintainer-clean:
@for dir in $(ALLDIRS); do $(MAKE) -C $$dir $@; done
...@@ -5,7 +5,7 @@ ...@@ -5,7 +5,7 @@
# #
# Copyright (c) 1994, Regents of the University of California # Copyright (c) 1994, Regents of the University of California
# #
# $Header: /cvsroot/pgsql/src/bin/pgtclsh/Attic/Makefile,v 1.29 2000/06/30 16:10:47 petere Exp $ # $Header: /cvsroot/pgsql/src/bin/pgtclsh/Attic/Makefile,v 1.30 2000/07/01 15:02:23 petere Exp $
# #
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
...@@ -60,20 +60,13 @@ uninstall: ...@@ -60,20 +60,13 @@ uninstall:
rm -f $(bindir)/pgtclsh $(bindir)/pgtksh rm -f $(bindir)/pgtclsh $(bindir)/pgtksh
Makefile.tcldefs: mkMakefile.tcldefs.sh Makefile.tcldefs: mkMakefile.tcldefs.sh
$(SHELL) $< $(SHELL) $< '$(TCL_CONFIG_SH)' '$@'
Makefile.tkdefs: mkMakefile.tkdefs.sh Makefile.tkdefs: mkMakefile.tkdefs.sh
$(SHELL) $< $(SHELL) $< '$(TK_CONFIG_SH)' '$@'
mkMakefile.tcldefs.sh mkMakefile.tkdefs.sh: $(top_builddir)/config.status clean distclean maintainer-clean:
mkMakefile.tcldefs.sh mkMakefile.tkdefs.sh: % : %.in
cd $(top_builddir) && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= ./config.status
clean:
rm -f *.o Makefile.tcldefs Makefile.tkdefs pgtclsh pgtksh rm -f *.o Makefile.tcldefs Makefile.tkdefs pgtclsh pgtksh
distclean maintainer-clean: clean
rm -f mkMakefile.tcldefs.sh mkMakefile.tkdefs.sh
dep depend: dep depend:
$(CC) -MM $(CFLAGS) *.c > depend $(CC) -MM $(CFLAGS) *.c > depend
#! /bin/sh #! /bin/sh
if [ ! -r @TCL_CONFIG_SH@ ]; then # $1 = path to tclConfig.sh ; $2 = output file
echo "@TCL_CONFIG_SH@ not found"
echo "I need this file! Please make a symbolic link to this file" if test x"$1" = x ; then
echo "and start make again." echo "$0: No tclConfig.sh file specified. Did you use \`configure --with-tcl'?" 1>&2
exit 1 exit 1
fi fi
# Source the file to obtain the correctly expanded variable definitions # Source the file to obtain the correctly expanded variable definitions
. @TCL_CONFIG_SH@ . "$1"
# Read the file a second time as an easy way of getting the list of variable # Read the file a second time as an easy way of getting the list of variable
# definitions to output. # definitions to output.
cat @TCL_CONFIG_SH@ | cat "$1" |
egrep '^TCL_|^TK_' | egrep '^TCL_|^TK_' |
sed 's/^\([^=]*\)=.*$/\1/' | sed 's/^\([^=]*\)=.*$/\1/' |
while read var while read var
do do
eval echo "\"$var = \$$var\"" eval echo "\"$var = \$$var\""
done >Makefile.tcldefs done > "$2"
exit 0 exit 0
#! /bin/sh #! /bin/sh
if [ ! -r @TK_CONFIG_SH@ ]; then # $1 = path to tkConfig.sh ; $2 = output file
echo "@TK_CONFIG_SH@ not found"
echo "I need this file! Please make a symbolic link to this file" if test x"$1" = x; then
echo "and start make again." echo "$0: No tkConfig.sh file specified. Did you use \`configure --with-tcl --with-x'?" 1>&2
exit 1 exit 1
fi fi
# Source the file to obtain the correctly expanded variable definitions # Source the file to obtain the correctly expanded variable definitions
. @TK_CONFIG_SH@ . "$1"
# Read the file a second time as an easy way of getting the list of variable # Read the file a second time as an easy way of getting the list of variable
# definitions to output. # definitions to output.
cat @TK_CONFIG_SH@ | cat "$1" |
egrep '^TCL_|^TK_' | egrep '^TCL_|^TK_' |
sed 's/^\([^=]*\)=.*$/\1/' | sed 's/^\([^=]*\)=.*$/\1/' |
while read var while read var
do do
eval echo "\"$var = \$$var\"" eval echo "\"$var = \$$var\""
done >Makefile.tkdefs done > "$2"
exit 0 exit 0
...@@ -4,7 +4,7 @@ ...@@ -4,7 +4,7 @@
# #
# Copyright (c) 1994, Regents of the University of California # Copyright (c) 1994, Regents of the University of California
# #
# $Header: /cvsroot/pgsql/src/pl/Makefile,v 1.9 2000/06/27 00:31:48 petere Exp $ # $Header: /cvsroot/pgsql/src/pl/Makefile,v 1.10 2000/07/01 15:02:27 petere Exp $
# #
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
...@@ -20,17 +20,11 @@ endif ...@@ -20,17 +20,11 @@ endif
# Disabled because it doesn't work # Disabled because it doesn't work
#ifeq ($(with_perl), yes) #ifeq ($(with_perl), yes)
# $(MAKE) -C plperl $@ #DIRS += plperl
#endif #endif
ALLDIRS := plpgsql tcl plperl
all install installdirs uninstall depend: all install installdirs uninstall depend:
@for dir in $(DIRS); do $(MAKE) -C $$dir $@ || exit 1; done @for dir in $(DIRS); do $(MAKE) -C $$dir $@ || exit 1; done
clean: clean distclean maintainer-clean:
@for dir in $(DIRS); do $(MAKE) -C $$dir $@; done @for dir in $(DIRS); do $(MAKE) -C $$dir $@; done
distclean maintainer-clean:
@for dir in $(ALLDIRS); do $(MAKE) -C $$dir $@; done
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# #
# Makefile for the pltcl shared object # Makefile for the pltcl shared object
# #
# $Header: /cvsroot/pgsql/src/pl/tcl/Makefile,v 1.19 2000/06/30 16:10:56 petere Exp $ # $Header: /cvsroot/pgsql/src/pl/tcl/Makefile,v 1.20 2000/07/01 15:02:31 petere Exp $
# #
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
...@@ -108,16 +108,8 @@ all install: ...@@ -108,16 +108,8 @@ all install:
echo "*****" echo "*****"
endif endif
Makefile.tcldefs: mkMakefile.tcldefs.sh Makefile.tcldefs: mkMakefile.tcldefs.sh
$(SHELL) $< $(SHELL) $< '$(TCL_CONFIG_SH)' '$@'
mkMakefile.tcldefs.sh: mkMakefile.tcldefs.sh.in $(top_builddir)/config.status
cd $(top_builddir) && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= ./config.status
clean distclean maintainer-clean:
clean:
rm -f $(INFILES) *.o Makefile.tcldefs rm -f $(INFILES) *.o Makefile.tcldefs
distclean maintainer-clean: clean
rm -f mkMakefile.tcldefs.sh
#! /bin/sh #! /bin/sh
if [ ! -r @TCL_CONFIG_SH@ ]; then # $1 = path to tclConfig.sh ; $2 = output file
echo "@TCL_CONFIG_SH@ not found"
echo "I need this file! Please make a symbolic link to this file" if test x"$1" = x ; then
echo "and start make again." echo "$0: No tclConfig.sh file specified. Did you use \`configure --with-tcl'?" 1>&2
exit 1 exit 1
fi fi
# Source the file to obtain the correctly expanded variable definitions # Source the file to obtain the correctly expanded variable definitions
. @TCL_CONFIG_SH@ . "$1"
# Read the file a second time as an easy way of getting the list of variable # Read the file a second time as an easy way of getting the list of variable
# definitions to output. # definitions to output.
cat @TCL_CONFIG_SH@ | cat "$1" |
egrep '^TCL_|^TK_' | egrep '^TCL_|^TK_' |
sed 's/^\([^=]*\)=.*$/\1/' | sed 's/^\([^=]*\)=.*$/\1/' |
while read var while read var
do do
eval echo "\"$var = \$$var\"" eval echo "\"$var = \$$var\""
done >Makefile.tcldefs done > "$2"
exit 0 exit 0
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment